using MediatR;
using cuqmbr.TravelGuide.Domain.Enums;

namespace cuqmbr.TravelGuide.Application.Addresses.Commands.UpdateAddress;

public record UpdateAddressCommand : IRequest<AddressDto>
{
    public Guid Guid { get; set; }

    public string Name { get; set; }

    public double Longitude { get; set; }

    public double Latitude { get; set; }

    public VehicleType VehicleType { get; set; }

    public Guid CityGuid { get; set; }
}
