using MediatR;

namespace cuqmbr.TravelGuide.Application.Trains.Commands.AddTrain;

public record AddTrainCommand : IRequest<TrainDto>
{
    public string Number { get; set; }

    public string Model { get; set; }

    public short Capacity { get; set; }

    public Guid CompanyGuid { get; set; }
}
