namespace cuqmbr.TravelGuide.Infrastructure;

public sealed class ConfigurationOptions
{
    public static string SectionName { get; } = "Application:Infrastructure";

    public PaymentProcessingConfigurationOptions PaymentProcessing { get; set; }
}

public sealed class PaymentProcessingConfigurationOptions
{
    public string CallbackAddressBase { get; set; }

    public string ResultAddressBase { get; set; }

    public LiqPayConfigurationOptions LiqPay { get; set; }
}

public sealed class LiqPayConfigurationOptions
{
    public string PublicKey { get; set; }

    public string PrivateKey { get; set; }
}
