using cuqmbr.TravelGuide.Domain.Enums;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace cuqmbr.TravelGuide.Persistence.TypeConverters;

public class CurrencyConverter : ValueConverter<Currency, string>
{
    public CurrencyConverter()
        : base(
        v => v.Name,
        v => Currency.FromName(v))
    { }
}
