using cuqmbr.TravelGuide.Domain.Enums;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace cuqmbr.TravelGuide.Persistence.TypeConverters;

public class DocumentTypeConverter : ValueConverter<DocumentType, string>
{
    public DocumentTypeConverter()
        : base(
        v => v.Name,
        v => DocumentType.FromName(v))
    { }
}
