using MediatR;

namespace cuqmbr.TravelGuide.Application.Aircrafts.Commands.AddAircraft;

public record AddAircraftCommand : IRequest<AircraftDto>
{
    public string Number { get; set; }

    public string Model { get; set; }

    public short Capacity { get; set; }

    public Guid CompanyGuid { get; set; }
}
