using FluentValidation;
using Microsoft.Extensions.Localization;

namespace cuqmbr.TravelGuide.Application.Aircrafts.Queries.GetAircraft;

public class GetAircraftQueryValidator : AbstractValidator<GetAircraftQuery>
{
    public GetAircraftQueryValidator(IStringLocalizer localizer)
    {
        RuleFor(v => v.Guid)
            .NotEmpty()
            .WithMessage(localizer["FluentValidation.NotEmpty"]);
    }
}
