using FluentValidation;
using Microsoft.Extensions.Localization;

namespace cuqmbr.TravelGuide.Application.Buses.Commands.DeleteBus;

public class DeleteBusCommandValidator : AbstractValidator<DeleteBusCommand>
{
    public DeleteBusCommandValidator(IStringLocalizer localizer)
    {
        RuleFor(v => v.Guid)
            .NotEmpty()
            .WithMessage(localizer["FluentValidation.NotEmpty"]);
    }
}
