using cuqmbr.TravelGuide.Domain.Enums;

namespace cuqmbr.TravelGuide.Application.Common.Services;

public interface LiqPayPaymentService
{
    string GetPaymentLink(
        decimal amount, Currency currency,
        string orderId, TimeSpan validity, string description,
        string resultPath, string callbackPath);

    bool IsValidSignature(string postData, string postSignature);
}
