namespace cuqmbr.TravelGuide.Application.Common.Services;

public interface PasswordHasherService
{
    Task<byte[]> HashAsync(byte[] password, byte[] salt,
        CancellationToken cancellationToken);

    Task<bool> IsValidHashAsync(byte[] hash, byte[] password,
        byte[] salt, CancellationToken cancellationToken);
}
