using MediatR;

namespace cuqmbr.TravelGuide.Application.Companies.Commands.AddCompany;

public record AddCompanyCommand : IRequest<CompanyDto>
{
    public string Name { get; set; }

    public string LegalAddress { get; set; }

    public string ContactEmail { get; set; }

    public string ContactPhoneNumber { get; set; }
}
