using MediatR;

namespace cuqmbr.TravelGuide.Application.Companies.Commands.UpdateCompany;

public record UpdateCompanyCommand : IRequest<CompanyDto>
{
    public Guid Guid { get; set; }

    public string Name { get; set; }

    public string LegalAddress { get; set; }

    public string ContactEmail { get; set; }

    public string ContactPhoneNumber { get; set; }
}
