using cuqmbr.TravelGuide.Domain.Enums;
using MediatR;

namespace cuqmbr.TravelGuide.Application.Identity.Accounts.Commands.AddAccount;

public record AddAccountCommand : IRequest<AccountDto>
{
    public string Email { get; set; }

    public string Password { get; set; }

    public ICollection<IdentityRole> Roles { get; set; }
}
