namespace cuqmbr.TravelGuide.Domain.Entities;

public sealed class Account : EntityBase
{
    public string Username { get; set; }

    public string Email { get; set; }

    public string PasswordHash { get; set; }

    public string PasswordSalt { get; set; }

    public ICollection<AccountRole> AccountRoles { get; set; }

    public ICollection<RefreshToken> RefreshTokens { get; set; }
}
