using cuqmbr.TravelGuide.Domain.Enums;

namespace cuqmbr.TravelGuide.Domain.Entities;

public sealed class Route : EntityBase
{
    public string Name { get; set; }

    public VehicleType VehicleType { get; set; }


    public ICollection<RouteAddress> RouteAddresses { get; set; }

    public ICollection<VehicleEnrollment> VehicleEnrollments { get; set; }
}
