using cuqmbr.TravelGuide.Domain.Enums;

namespace cuqmbr.TravelGuide.Domain.Entities;

public sealed class Ticket : EntityBase
{
    public long DepartureRouteAddressId { get; set; }

    public RouteAddress DepartureRouteAddress { get; set; }

    public long ArrivalRouteAddressId { get; set; }

    public RouteAddress ArrivalRouteAddress { get; set; }

    public short Order { get; set; }

    public Currency Currency { get; set; }

    public decimal Cost { get; set; }


    public long TicketGroupId { get; set; }

    public TicketGroup TicketGroup { get; set; }


    public long VehicleEnrollmentId { get; set; }

    public VehicleEnrollment VehicleEnrollment { get; set; }
}
