using cuqmbr.TravelGuide.Domain.Entities;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace cuqmbr.TravelGuide.Persistence.PostgreSql.Configurations;

public class CountryConfiguration : BaseConfiguration<Country>
{
    public override void Configure(EntityTypeBuilder<Country> builder)
    {
        builder
            .ToTable("countries");

        base.Configure(builder);


        builder
            .Property(c => c.Name)
            .HasColumnName("name")
            .HasColumnType("varchar(64)")
            .IsRequired(true);

        // TODO: Remove comment
        // builder
        //     .HasAlternateKey(c => c.Name)
        //     .HasName(
        //         "altk_" +
        //         $"{builder.Metadata.GetTableName()}_" +
        //         $"{builder.Property(c => c.Name).Metadata.GetColumnName()}");
    }
}
